Attic is a deduplicating backup program written in Python.
It requires Python 3 and msgpack-python, and llfuse for optional snapshot mounting.
The default Python version on FreeBSD is 2.7, therefore manual installation is required.

Install the necessary FreeBSD ports:

pkg install lang/python35 devel/py-setuptools35 devel/py-msgpack-python devel/pkgconf security/ca_root_nss sysutils/fusefs-libs

Load the fuse kmod (if you want to use `attic mount` right away):

kldload fuse.ko

Use the easy_install script from the 3.5 setuptools to get the dependencies and the main program:

/usr/local/bin/easy_install-3.5 llfuse attic

Attic is now installed in /usr/local/bin/attic, enjoy.